Bug 36506 - /usr/lib/rpm/ruby.prov: line 13: cd: too many arguments (rpm-build-ruby некорректно работает вне hasher)
Summary: /usr/lib/rpm/ruby.prov: line 13: cd: too many arguments (rpm-build-ruby некор...
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: rpm-build-ruby (show other bugs)
Version: unstable
Hardware: all Linux
: P3 normal
Assignee: majioa@altlinux.org
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks: 37523
  Show dependency tree
 
Reported: 2019-04-04 15:11 MSK by Sergey V Turchin
Modified: 2020-02-20 14:47 MSK (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey V Turchin 2019-04-04 15:11:42 MSK
Source folder(s) found: ./mailimporter-18.12.3
./ksystemlog-18.12.3
./kdewebkit-5.56.0
./discover-5.12.7
./ktp-kded-module-18.12.3
./plasma-workspace-5.12.8
./akregator-18.12.3
./kdebase-15.12.2
./kunitconversion-5.56.0
./NVIDIA-Linux-x86_64-390.116-no-compat32
./kdesdk-15.12.2
./akonadi-notes-18.12.3
./krita-4.1.8
./kmag-18.12.3
./poppler-0.71.0
./kde-cli-tools-5.12.8
./kinit-5.56.0
./rocs-18.12.3
./kfind-18.12.3
./kgeography-18.12.3
./kapidox-5.56.0
./NVIDIA-Linux-x86_64-410.104
./qtserialbus-opensource-src-5.12.2
./kopete-18.12.3
./qt-gstreamer-1.2.0
./Mesa-18.0.5
./khelpcenter-18.12.3
./ksysguard-5.12.8
./gfxboot-4.5.49
./kaccounts-integration-18.12.3
./libqaccessibilityclient-qt5-0.4.0
./kmbox-18.12.3
./messagelib-18.12.3
./qttools-opensource-src-5.12.2
./kmousetool-18.12.3
./libksane-18.12.3
./kjsembed-5.56.0
./kcodecs-5.56.0
./ksudoku-18.12.3
./kitemmodels-5.56.0
./polkit-kde-agent-1-5.12.8
./milou-5.12.8
./kmines-18.12.3
./kemoticons-5.56.0
./bluedevil-5.12.8
./breeze-gtk-5.12.8
./kfloppy-18.12.3
./juk-18.12.3
./kguiaddons-5.56.0
./sddm-kcm-5.12.8
./kcron-18.12.3
./kget-18.12.3
./kpeople-5.56.0
./kio-gdrive-1.2.5
./lskat-18.12.3
./kde-gtk-config-5.12.8
./kalarmcal-18.12.3
./kdav-18.12.3
./libidn-1.33
./kio-extras-18.12.3
./mlt-6.10.0
./kcalutils-18.12.3
./kdbusaddons-5.56.0
./kshisen-18.12.3
./kglobalaccel-5.56.0
./bluez-qt-5.56.0
./kimageformats-5.56.0
./kxmlrpcclient-5.56.0
./kdb-3.1.0
./kaddressbook-18.12.3
./minuet-18.12.3
./audiocd-kio-18.12.3
./ktp-desktop-applets-18.12.3
./qtscript-opensource-src-5.12.2
./okular-18.12.3
./kcalc-18.12.3
./kleopatra-18.12.3
./avidemux-2.7.3
./NVIDIA-Linux-x86_64-340.107-no-compat32
./syntax-highlighting-5.56.0
./grantleetheme-18.12.3
./bovo-18.12.3
./plasma-framework-5.56.0
./knavalbattle-18.12.3
./ktexteditor-5.56.0
./qtwebengine-opensource-src-5.12.2
./kcachegrind-18.12.3
./incidenceeditor-18.12.3
./kwidgetsaddons-5.56.0
./clucene-core-2.3.3.4
./baloo-widgets-18.12.3
./kscreenlocker-5.12.8
./calligra-3.1.0
./plasma-nm-5.12.8
./ktp-filetransfer-handler-18.12.3
./plasma-workspace-wallpapers-5.15.3
./user-manager-5.12.8
./qmmp-1.2.6
./libvdpau-1.1.1
./kstars-3.0.0
./ktp-common-internals-18.12.3
./kdf-18.12.3
./kpackage-5.56.0
./ktp-call-ui-18.12.3
./dolphin-18.12.3
./ktp-contact-runner-18.12.3
./libssh-0.8.7
./systemsettings-5.12.8
./breeze-icons-5.56.0
./kblog-18.12.3
./xorg-drv-fbdev-0.5.0
./akonadi-calendar-tools-18.12.3
./mlt-6.12.0
./qtwebkit-opensource-src-5.212.0
./khotkeys-5.12.8
./calibre
./plasma-pa-5.12.8
./xorg-drv-cirrus-1.5.3
./kscreen-5.12.8
./akonadi-18.12.3
./qtwayland-opensource-src-5.12.2
./kwave-18.12.3
./plasma-desktop-5.12.7
./ffmpegthumbs-18.12.3
./breeze-5.12.7
./xf86-input-libinput-0.28.2
./libkdepim-18.12.3
./kalarm-18.12.3
./spectacle-18.12.3
./kgpg-18.12.3
./qtconnectivity-opensource-src-5.12.2
./kitinerary-18.12.3
./kigo-18.12.3
./ark-18.12.3
./phonon4qt5-4.10.1
./libzip-1.5.1
./prison-5.56.0
./nvidia-settings-410.104
./krdc-18.12.3
./kdepim-addons-18.12.3
./kalgebra-18.12.3
./plasma-sdk-5.12.8
./kdelibs4support-5.53.0
./filelight-18.12.3
./xorg-server-1.18.4
./kdeplasma-addons-5.12.8
./kimagemapeditor-18.12.3
./kdnssd-5.56.0
./sddm-0.17.0
./openexr-2.2.0
./ksmtp-18.12.3
./qtwebsockets-opensource-src-5.12.2
./eventviews-18.12.3
./xdg-utils-1.1.3
./akonadi-contacts-18.12.3
./libkgapi-18.12.3
./libkmahjongg-18.12.3
./powerdevil-5.12.8
./kio-5.53.0
./zeroconf-ioslave-18.12.3
./gfxboot-4.5.47
./knetwalk-18.12.3
./katomic-18.12.3
./qtbase-opensource-src-5.12.2
./ktp-accounts-kcm-18.12.3
./parley-18.12.3
./kdeedu-data-18.12.3
./kcompletion-5.56.0
./ring-kde-3.1.0
./knotifications-5.56.0
./solid-5.56.0
./kholidays-5.56.0
./networkmanager-qt-5.53.0
./kanagram-18.12.3
./PackageKit-Qt-1.0.1
./umbrello-18.12.3
./korganizer-18.12.3
./kmail-18.12.3
./dolphin-plugins-18.12.3
./ktouch-18.12.3
./qtvirtualkeyboard-opensource-src-5.12.2
./kconfigwidgets-5.56.0
./kitemviews-5.56.0
./analitza-18.12.3
./kjs-5.56.0
./kruler-18.12.3
./mbox-importer-18.12.3
./kate-18.12.3
./ktp-text-ui-18.12.3
./libkeduvocdocument-18.12.3
./kmail-account-wizard-18.12.3
./kwrited-5.12.8
./libkdcraw-18.12.3
./svgpart-18.12.3
./kdenetwork-filesharing-18.12.3
./freshplayerplugin-0.3.10
./kqtquickcharts-18.12.3
./akonadi-import-wizard-18.12.3
./kaccounts-providers-18.12.3
./kmime-18.12.3
./ktp-approver-18.12.3
./kparts-5.56.0
./extra-cmake-modules-5.56.0
./kopete-17.08.3
./kcrash-5.56.0
./plasma-nm-5.12.7
./gwenview-18.12.3
./ktnef-18.12.3
./kmix-18.12.3
./kig-18.12.3
./signon-kwallet-extension-18.12.3
./kdeconnect-kde-1.3.3
./plasma-framework-5.56.1
./attica-5.56.0
./kdecoration-5.12.8
./libkscreen-5.12.8
./libkipi-18.12.3
./libkomparediff2-18.12.3
./dragon-18.12.3
./grantlee-editor-18.12.3
./pim-sieve-editor-18.12.3
./alterator-xkb-3.0
./kldap-18.12.3
./kamera-18.12.3
./falkon-3.1.0
./kgamma5-5.12.8
./kcontacts-18.12.3
./kmplot-18.12.3
./kross-interpreters-18.12.3
./knewstuff-5.56.0
./sonnet-5.56.0
./libksysguard-5.12.8
./cantor-18.12.3
./kwordquiz-18.12.3
./krunner-5.56.0
./qttranslations-opensource-src-5.12.2
./gpgme-1.11.1
./ebook-tools-0.2.2
./libindi_1.7.5
./kdoctools-5.56.0
./breeze-5.12.8
./plasma-desktop-5.12.8
./ksirk-18.12.3
./modemmanager-qt-5.56.0
./kinfocenter-5.12.8
./kconfig-5.56.0
./liquidshell-1.4
./qtxmlpatterns-opensource-src-5.12.2
./kdelibs4support-5.56.0
./akonadi-16.08.3
./kdeclarative-5.56.0
./krfb-18.12.3
./qtsvg-opensource-src-5.12.2
./quick-usb-formatter-0.6
./syndication-5.56.0
./ktp-contact-list-18.12.3
./akonadiconsole-18.12.3
./kmediaplayer-5.56.0
./kimap-18.12.3
./kio-5.56.0
./oxygen-icons5-5.56.0
./frameworkintegration-5.56.0
./xorg-server-1.19.6
./kcalcore-18.12.3
./libkleo-18.12.3
./kmouth-18.12.3
./kmenuedit-5.12.8
./kdebase-runtime-16.04.1
./kdemultimedia-15.08.0
./kdepim-runtime-18.12.3
./kded-5.56.0
./kdesu-5.56.0
./kplotting-5.56.0
./kdialog-18.12.3
./kapptemplate-18.12.3
./kidletime-5.56.0
./akonadi-calendar-18.12.3
./kdenlive-18.12.3
./baloo-5.56.0
./basket-2.49
./desktop-2.5.1
./sddm-0.18.0
./networkmanager-qt-5.56.0
./kbookmarks-5.56.0
./soundkonverter-3.0.1
./poxml-18.12.3
./ktextwidgets-5.56.0
./kpkpass-18.12.3
./threadweaver-5.56.0
./qtx11extras-opensource-src-5.12.2
./print-manager-18.12.3
./kontactinterface-18.12.3
./kjobwidgets-5.56.0
./kfilemetadata-5.56.0
./konqueror-18.12.3
./plasma-integration-5.12.8
./kactivitymanagerd-5.12.8
./rocs-18.12.2
./libkexiv2-18.12.3
./nextcloud-desktop-2.5.1~
./pim-data-exporter-18.12.3
./plasma-pa-5.12.7.1
./kcharselect-18.12.3
./kdbg-2.5.5
./kwallet-5.56.0
./kdesdk-thumbnailers-18.12.3
./libxcbutil-proto-1.13
./kpat-18.04.3
./purpose-5.56.0
./ki18n-5.56.0
./syslinux-4.04
./kontact-18.12.3
./qtdoc-opensource-src-5.12.2
./ktuberling-18.12.3
./poppler-0.74.0
./kiconthemes-5.56.0
./ktimer-18.12.3
./kwalletmanager-18.12.3
./kalzium-18.12.3
./libkdegames-18.12.3
./plasma-vault-5.12.8
./kipi-plugins-5.9.0
./kompare-18.12.3
./lokalize-18.12.3
./libgravatar-18.12.3
./kwin-5.12.8
./discover-5.12.8
./libvdpau-1.2
./kwayland-integration-5.12.8
./kdebugsettings-18.12.3
./ring-project-20190215
./knotifyconfig-5.56.0
./gzip-1.8.0.20.82c6-alt1.M80C.1
./qt-everywhere-opensource-src-4.8.7
./kservice-5.56.0
./kteatime-18.12.3
./khangman-18.12.3
./owncloudclient-2.5.1~
./calendarsupport-18.12.3
./ktp-send-file-18.12.3
./oxygen-5.12.8
./kolf-18.12.3
./nextcloud-desktop-2.5.1
./akonadi-mime-18.12.3
./qqc2-desktop-style-5.56.0
./owncloudclient-2.5.1
./kernel-source-rtl8723de-5.1.1.8
./kauth-5.56.0
./kde5-smb4k-2.1.1
./redland-1.0.17
./kdesignerplugin-5.56.0
./giflib-5.1.8
./sweeper-18.12.3
./akonadi-1.13.1
./kde-dev-scripts-18.12.3
./konsole-18.12.3
./kwindowsystem-5.56.0
./k3b-18.12.3
./kcmutils-5.56.0
./libkcddb-15.08.0
./keditbookmarks-18.12.3
./drkonqi-5.12.8
./kcoreaddons-5.56.0
./kxmlgui-5.56.0
./kross-5.56.0
./karchive-5.56.0
./make-initrd-0.8.16
./kturtle-18.12.3
./ktp-auth-handler-18.12.3
./akonadi-search-18.12.3
./kdbg-3.0.0
./kolourpaint-18.12.3
./kexi-3.1.0
./khtml-5.56.0
./kidentitymanagement-18.12.3
./freecell-solver-5.2.0
./marble-18.12.3
./pimcommon-18.12.3
./kpty-5.56.0
./libksieve-18.12.3
./digikam-6.0.0
./kbruch-18.12.3
./qtdeclarative-opensource-src-5.12.2
./knotes-18.12.3
./kmailtransport-18.12.3
./kactivities-stats-5.56.0
./kdepim-apps-libs-18.12.3
./palapeli-18.12.3
./appmenu-qt5-0.3.1
./libkcddb-18.12.3
./mailcommon-18.12.3
./kpimtextedit-18.12.3
./kwallet-pam-5.12.8
./kmahjongg-18.12.3
./kirigami2-5.56.0
./kwayland-5.56.0
./step-18.12.3
./ksshaskpass-5.12.8
./libkcompactdisc-18.12.3
./syntax-highlighting-5.53.0
./kactivities-5.56.0
/usr/lib/rpm/ruby.prov: line 13: cd: too many arguments
Comment 1 Sergey V Turchin 2019-04-04 15:15:19 MSK
Ааа. Ещё после этого на закуску:
No Ruby project file was found skipping...

P.S.
Какого чёрта он вообще лезет за пределы сборочного каталога?
Comment 2 Sergey V Turchin 2019-04-08 17:05:37 MSK
Чуть опережу:
1. Зачем теперь вызывать по 2-му разу setup.rb? Разве нельзя использовать вывод от 1-го? `man tee`
2. Не проще делать "if [ -d "$to_source" ]" ?
3. "Source folder(s) found: флудящая портянка" оно писать не перестанет.
Comment 3 Anton Farygin 2019-04-08 22:24:14 MSK
Зачем ты вообще этот пакет держишь в системе ? Удали сейчас же, это крайне неправильно.
Comment 4 Dmitry V. Levin 2019-04-08 22:30:57 MSK
(In reply to comment #3)
> Зачем ты вообще этот пакет держишь в системе ? Удали сейчас же, это крайне
> неправильно.

Я бы сказал, что держать это malware установленным в системе просто опасно.
Comment 5 Anton Farygin 2019-04-08 22:32:47 MSK
Боюсь что это может коснуться любого пакета такого качества. Нам что-то явно надо сделать с review для изменений, вносимых в rpm-build-ruby.
Comment 6 Малъ Скрылевъ 2019-04-09 12:01:35 MSK
> No Ruby project file was found skipping...
Да, так и задумано.

> /usr/lib/rpm/ruby.prov: line 13: cd: too many arguments
Строчку убрал.

А лезет за пределы, чтобы обеспечить совместимость с Ruby Policy 1.0

ПС: зачем вообще нужно держать рубишные сборочные пакеты в нерубишных сборочных исходниках, мусорящие спеки и делающие холостые вызовы?
Comment 7 Малъ Скрылевъ 2019-04-09 12:03:53 MSK
(In reply to comment #4)
> (In reply to comment #3)
> > Зачем ты вообще этот пакет держишь в системе ? Удали сейчас же, это крайне
> > неправильно.
> 
> Я бы сказал, что держать это malware установленным в системе просто опасно.

Ну ну, если кому-то хочется так видеть, это на здоровье. Ы вообще вопрос о том, что тащить просто так ненужные пакеты не к чему, кроме мусора в системе и спеках, и речь не о malware, а о usefulware, толь по делу
Comment 8 Repository Robot 2019-04-09 12:38:44 MSK
rpm-build-ruby-1:1.0.0-alt6 -> sisyphus:

Mon Apr 08 2019 Pavel Skrylev <majioa@altlinux> 1:1.0.0-alt6
- Avoid multiple cd into source folder (closes: #36506)
Comment 9 Sergey V Turchin 2020-02-05 15:06:11 MSK
rpm-build-ruby-1:1.0.0-alt8 ничего не изменилось
Comment 10 Sergey V Turchin 2020-02-05 15:08:00 MSK
Ааа, изменилось. Было "line 13", стало "line 14". ;-)
Comment 11 Малъ Скрылевъ 2020-02-05 16:38:48 MSK
Так на каком пакете сейчас валится?
Comment 12 Sergey V Turchin 2020-02-05 16:53:39 MSK
На первом попавшемся, как и раньше.
Comment 13 Repository Robot 2020-02-19 14:00:59 MSK
rpm-build-ruby-1:1.0.0-alt9 -> sisyphus:

 Tue Feb 18 2020 Pavel Skrylev <majioa@altlinux> 1:1.0.0-alt9
 - Fixed (!) ruby.prov (closes #36506, #37088)
 - changed (*) ruby.req output
Comment 14 Sergey V Turchin 2020-02-20 14:47:28 MSK
Ругаться перестало
> ruby.prov: 543 source folder(s) found
> ruby.prov: no ruby project file was found skipping...
, но так же ожесточённо шарахается по всем чужим каталогам в поиске "ruby project file".